// pages/special/special.js
const getReq = require('../../config.js').getReq;
import recordSource from '../../utils/recordSource';
let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    special_datas: {},
    summery: [],
    special_id:0,
    fromSource: '',
    firstLoad: true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let title = options.title ? options.title : app.globalData.channel;
    let special_id = options.special_id;
    wx.setNavigationBarTitle({
      title: title
    })
    let fromSource = recordSource(app, `act=special&op=index&special_id=${special_id}&curpage=1&page=10&client_type=mini`)
    this.setData({
      special_id,
      title,
      fromSource: app.globalData.fromSource
    });
    var self = this;
    getReq(app,{
      act: 'special',
      op: 'index',
      special_id,
      page: 10,
      curpage: 1,
      from: fromSource
    }, function (res) {
      if (res.code == 200) {
        self.setData({
          special_datas: res.datas,
          summery: res.datas.summary,
          firstLoad: false
        });
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },
  backHome: function () {
    wx.reLaunch({
      url: '/pages/index/index',
    })
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if(!this.data.firstLoad) {
      app.setFromSource(this.data.fromSource)
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return app.cardShareInfo();
    
    // let special_id = this.data.special_id;
    // let title = this.data.title;
    // let relay_id = app.globalData.member_id;
    // return {
    //   title: `${app.globalData.channel}为您推荐:${title}`,
    //   path: `/pages/special/special?title=${title}&special_id=${special_id}&relay_id=${relay_id}`
    // }
  }
})